get entity by id
curl --request GET \
--url https://api.example.com/api/v1/plan/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/plan/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/plan/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"name": "<string>",
"maxUsers": 123,
"maxContracts": 123,
"maxProjects": 123,
"maxTriggers": 123,
"maxDetectors": 123,
"maxWallets": 123,
"maxActions": 123,
"maxApiKeys": 123,
"detectorRateLimit": 123,
"detectorRateLimitDuration": 123
}Plan Route
get entity by id
GET
/
api
/
v1
/
plan
/
{id}
get entity by id
Authorizations
Authentication
Path Parameters
Response
200 - application/json
OK
Unique identifier of the entity
Example:
1
Time when entity was created
Time when entity was updated
Status of the entity. Default: 'ACTIVE'
Available options:
ACTIVE, DISABLED, DELETED Name for the entity
The maximum number of users allowed under this plan
The maximum number of contracts allowed under this plan
The maximum number of projects allowed under this plan
The maximum number of triggers allowed under this plan
The maximum number of detectors allowed under this plan
The maximum number of wallets allowed under this plan
The maximum number of actions allowed under this plan
The maximum number of api keys allowed under this plan
The maximum rate of detector alerts per duration
The time duration (in milliseconds) per which the maximum rate of detector alerts is allowed